Package org.apache.sling.testing.clients.instance

# Class InstanceConfiguration

java.lang.Object
org.apache.sling.testing.clients.instance.InstanceConfiguration

public class InstanceConfiguration extends Object
Configuration of a single instance instance.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ADMIN_PASSWORD`
`static final String`
`DEFAULT_ADMIN_USER`

## Constructor Summary

Constructors
Constructor
Description
`InstanceConfiguration(URI url, String runmode)`
`InstanceConfiguration(URI url, String runmode, String adminUser, String adminPassword)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAdminPassword()`
`String`
`getAdminUser()`
`String`
`getRunmode()`
`URI`
`getUrl()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_ADMIN_USER

public static final String DEFAULT_ADMIN_USER

See Also:
  - Constant Field Values

### DEFAULT_ADMIN_PASSWORD

public static final String DEFAULT_ADMIN_PASSWORD

See Also:
  - Constant Field Values

## Constructor Details

### InstanceConfiguration

public InstanceConfiguration(URI url, String runmode, String adminUser, String adminPassword)

### InstanceConfiguration

public InstanceConfiguration(URI url, String runmode)

## Method Details

### getUrl

public URI getUrl()

### getRunmode

public String getRunmode()

### getAdminUser

public String getAdminUser()

### getAdminPassword

public String getAdminPassword()